package com.yinet.bjtj.mapper;

import com.yinet.bjtj.domain.FormBjtj;
import com.yinet.yyqh.domain.Yyqh;

import java.util.List;
import java.util.Map;

/**
 * 办件统计Mapper接口
 * 
 * @author yinet
 * @date 2020-04-02
 */
public interface FormBjtjMapper 
{
    /**
     * 查询办件统计
     * 
     * @param id 办件统计ID
     * @return 办件统计
     */
    public FormBjtj selectFormBjtjById(Long id);

    /**
     * 查询办件统计列表
     * 
     * @param formBjtj 办件统计
     * @return 办件统计集合
     */
    public List<FormBjtj> selectFormBjtjList(FormBjtj formBjtj);

    //统计
    public String selectFormBjtjVoCountByConditiond(Map<String,Object> selMap);
    //按月统计
    List<Map<String, Integer>> selectFormBjtjByMonthes();


    /**
     * 新增办件统计
     * 
     * @param formBjtj 办件统计
     * @return 结果
     */
    public int insertFormBjtj(FormBjtj formBjtj);

    /**
     * 修改办件统计
     * 
     * @param formBjtj 办件统计
     * @return 结果
     */
    public int updateFormBjtj(FormBjtj formBjtj);

    /**
     * 删除办件统计
     * 
     * @param id 办件统计ID
     * @return 结果
     */
    public int deleteFormBjtjById(Long id);

    /**
     * 批量删除办件统计
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFormBjtjByIds(String[] ids);

    /**
     * 查询办件数据（前台）
     * @return
     */
    public Map selectTongjiList();
}
